Bug 495023 - can only change keyboard layout once
can only change keyboard layout once
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: gdm (Show other bugs)
11
All Linux
low Severity medium
: ---
: ---
Assigned To: jmccann
Fedora Extras Quality Assurance
: i18n, Regression
Depends On:
Blocks: F11Target
  Show dependency treegraph
 
Reported: 2009-04-09 03:04 EDT by Jens Petersen
Modified: 2015-01-14 18:22 EST (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-06-28 07:45:39 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Jens Petersen 2009-04-09 03:04:51 EDT
Description of problem:
If one changes keyboard layout in gdm from the default it is not possible to reset/change the keyboard in the next login session.

Version-Release number of selected component (if applicable):
gdm-2.26.0-7.fc11

How reproducible:
every time

Steps to Reproduce:
1. change kbd layout before login
2. change again or back
  
Actual results:
1. works
2. change does not take effect - still using kbd from 1

Expected results:
2. additional kbd changes should also work correctly.

Additional info:
feeling of deja vu
Comment 1 Matthias Clasen 2009-04-28 00:01:35 EDT
Are you complaining that the second keyboard layout does not survive into the session, or that the second keyboard layout is not effective on the login screen ?

Most likely, what you are describing is the fact that we use the keyboard layout from the login screen in the session, but we do not override keyboard configuration that has been stored in gconf. 

It is possible that we should not write the keyboard layout back into gconf, if it has only been inherited from the login screen. That would like cause other quirks, of course...
Comment 2 Bug Zapper 2009-06-09 09:31:38 EDT
This bug appears to have been reported against 'rawhide' during the Fedora 11 development cycle.
Changing version to '11'.

More information and reason for this action is here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 3 Bug Zapper 2010-04-27 09:34:50 EDT
This message is a reminder that Fedora 11 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 11.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '11'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 11's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 11 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 4 Bug Zapper 2010-06-28 07:45:39 EDT
Fedora 11 changed to end-of-life (EOL) status on 2010-06-25. Fedora 11 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.